
Public Class CrawlerCompletedEventArgs

    Public Property Status As CrawlerCompletedState
    Public Property TotalUrls As Integer
    Public Property NewUrls As Integer
    Public Property DuplicateItems As Integer
    Public Property StartTime As DateTime
    Public Property EndTime As DateTime
    Public Property ErrorType As CrawlerError

End Class

Public Enum CrawlerCompletedState
    Success
    UserStopped
    Failed
End Enum

Public Enum CrawlerError
    QueryLimitExceeded
    UnKnown
    NoError
End Enum